
Enduro/X Core - Bug #681

test038_tpnotify core dump on raspberry pi:

05/05/2021 03:12 PM - Madars

Status: Rejected Start date: 05/05/2021

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

N:NDRX:3:d0d7b058:32246:76f652a0:001:20210505:065944341953:x_svqshm_ctl:svqshm.c:1076:Queue not found

 [/dom2,clt,reply,atmisv38,32246,1]/-1

N:NDRX:3:d0d7b058:32246:76f652a0:001:20210505:065944342928:x_svqshm_ctl:svqshm.c:1076:Queue not found

 [/dom2,srv,admin,atmisv38,10,32246]/-1

N:NDRX:3:d0d7b058:32246:76f652a0:001:20210505:065944343482:x_svqshm_ctl:svqshm.c:1076:Queue not found

 [/dom2,srv,reply,atmisv38,10,32246]/-1

malloc(): invalid size (unsorted)

N:NDRX:3:d0d7b058:32250:76f782a0:001:20210505:065944631517:x_svqshm_ctl:svqshm.c:1076:Queue not found

 [/dom2,clt,reply,atmisv38,32250,1]/-1

N:NDRX:3:d0d7b058:32250:76f782a0:001:20210505:065944631976:x_svqshm_ctl:svqshm.c:1076:Queue not found

 [/dom2,srv,admin,atmisv38,11,32250]/-1

N:NDRX:3:d0d7b058:32250:76f782a0:001:20210505:065944632151:x_svqshm_ctl:svqshm.c:1076:Queue not found

 [/dom2,srv,reply,atmisv38,11,32250]/-1

N:NDRX:3:d0d7b058:32272:76f962a0:001:20210505:070006714770:x_svqshm_ctl:svqshm.c:1076:Queue not found

 [/dom2,clt,reply,atmisv38,32272,1]/-1

 

$ gdb ./atmisv38 ./core

GNU gdb (Raspbian 8.2.1-2) 8.2.1

Copyright (C) 2018 Free Software Foundation, Inc.

License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>

This is free software: you are free to change and redistribute it.

There is NO WARRANTY, to the extent permitted by law.

Type "show copying" and "show warranty" for details.

This GDB was configured as "arm-linux-gnueabihf".

Type "show configuration" for configuration details.

For bug reporting instructions, please see:

<http://www.gnu.org/software/gdb/bugs/>.

Find the GDB manual and other documentation resources online at:

    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".

Type "apropos word" to search for commands related to "word"...

Reading symbols from ./atmisv38...done.

[New LWP 32246]

[New LWP 32249]

[New LWP 32248]

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/arm-linux-gnueabihf/libthread_db.so.1".

Core was generated by `atmisv38 -k nZ22K8K7kewKo -i 10 -e /home/user1/endurox/atmitest/test038_tpnotif'.

Program terminated with signal SIGABRT, Aborted.

#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50

50    ../sysdeps/unix/sysv/linux/raise.c: No such file or directory.

[Current thread is 1 (Thread 0x76f652a0 (LWP 32246))]

(gdb) where

#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50

#1  0x76b30230 in __GI_abort () at abort.c:79

#2  0x76b8051c in __libc_message (action=action@entry=do_abort, fmt=<optimized out>) at ../sysdeps/posix/libc_fatal.c:181
#3  0x76b87044 in malloc_printerr (str=<optimized out>) at malloc.c:5341

#4  0x76b8a68c in _int_malloc (av=av@entry=0x76c637d4 <main_arena>, bytes=bytes@entry=528) at malloc.c:3732

#5  0x76b8c318 in __GI___libc_malloc (bytes=528) at malloc.c:3057

#6  0x76d98cc0 in ndrx_fpmalloc (size=size@entry=272, flags=flags@entry=0) at /home/user1/endurox/libnstd/fpalloc.c:517

#7  0x76d6eef0 in ndrx_svq_open (pathname=pathname@entry=0x76ac738a "/dom2,sys,bg,ndrxd", oflag=1, mode=0,

 attr=attr@entry=0x7ef62558) at /home/user1/endurox/libnstd/sys_svq.c:230

#8  0x76e459c4 in ndrx_mq_open_at (name=name@entry=0x76ac738a "/dom2,sys,bg,ndrxd", oflag=oflag@entry=1,

 mode=mode@entry=0, attr=attr@entry=0x0) at /home/user1/endurox/libatmi/atmiutils.c:252

#9  0x76e45b28 in ndrx_mq_open_at_wrp (name=name@entry=0x76ac738a "/dom2,sys,bg,ndrxd", oflag=oflag@entry=1) at

 /home/user1/endurox/libatmi/atmiutils.c:270

#10 0x76e4602c in ndrx_generic_q_send_2 (queue=0x76ebe314 <__func__.14193> "ndrx_generic_q_send_2", queue@entry=0x2

 <error: Cannot access memory at address 0x2>, data=0x20 <error: Cannot access memory at address 0x20>, data@entry=0x0,

    len=0, len@entry=2, flags=1995855712, flags@entry=0, tout=tout@entry=-1, msg_prio=0, msg_prio@entry=436) at

 /home/user1/endurox/libatmi/atmiutils.c:367

#11 0x76e46828 in ndrx_generic_q_send (queue=queue@entry=0x2 <error: Cannot access memory at address 0x2>,

 data=data@entry=0x0, len=len@entry=2, flags=flags@entry=0, msg_prio=msg_prio@entry=0)

    at /home/user1/endurox/libatmi/atmiutils.c:332

#12 0x76e48300 in cmd_generic_call_2 (ndrxd_cmd=2876064, ndrxd_cmd@entry=4, msg_src=1991012880, msg_src@entry=2,

 msg_type=1995170728, msg_type@entry=1, call=0x0, call@entry=0x2be578, call_size=call_size@entry=436,

    reply_q=0x76ac7210 "/dom2,srv,reply,atmisv38,10,32246", reply_q@entry=0x76f055a4 <report_to_ndrxd+704> "",

 reply_queue=0x2be2a0, reply_queue@entry=0x1b4, admin_queue=0xffffffff, admin_queue@entry=0x76ac7210,

    admin_q_str=0x76ac738a "/dom2,sys,bg,ndrxd", admin_q_str@entry=0x2be2a0 "/dom2,srv,reply,atmisv38,10,32246", argc=0,

 argc@entry=-1, argv=0x0, argv@entry=0x76ac738a, p_have_next=p_have_next@entry=0x0,

    p_rsp_process=p_rsp_process@entry=0x0, p_put_output=p_put_output@entry=0x0, need_reply=need_reply@entry=0,

 reply_only=reply_only@entry=0, rply_buf_out=rply_buf_out@entry=0x0, rply_buf_out_len=rply_buf_out_len@entry=0x0,

    flags=flags@entry=32, p_rply_request=p_rply_request@entry=0x0) at /home/user1/endurox/libatmi/atmiutils.c:646

#13 0x76e490f4 in cmd_generic_call (ndrxd_cmd=ndrxd_cmd@entry=4, msg_src=msg_src@entry=2,

 msg_type=msg_type@entry=1, call=call@entry=0x2be578, call_size=call_size@entry=436,

    reply_q=reply_q@entry=0x76ac7210 "/dom2,srv,reply,atmisv38,10,32246", reply_queue=reply_queue@entry=0x2be2a0,

 admin_queue=admin_queue@entry=0xffffffff, admin_q_str=0x76ac738a "/dom2,sys,bg,ndrxd", argc=argc@entry=0,

    argv=argv@entry=0x0, p_have_next=p_have_next@entry=0x0, p_rsp_process=p_rsp_process@entry=0x0,

 p_put_output=p_put_output@entry=0x0, need_reply=need_reply@entry=0) at /home/user1/endurox/libatmi/atmiutils.c:861

#14 0x76f055a4 in report_to_ndrxd () at /home/user1/endurox/libatmisrv/ndrxdapi.c:166

#15 0x76f046bc in ndrx_main (argc=9, argv=0x7ef63134) at /home/user1/endurox/libatmisrv/srvmain.c:1184

#16 0x76f09030 in ndrx_main_integra (argc=<optimized out>, argv=<optimized out>, in_tpsvrinit=<optimized out>,

 in_tpsvrdone=<optimized out>, flags=flags@entry=0) at /home/user1/endurox/libatmisrv/integra.c:219

#17 0x00010b40 in main (argc=<optimized out>, argv=<optimized out>) at /home/user1/endurox/libatmisrv/rawmain_integra.c:54

(gdb)

 

$ xadmin

Enduro/X 7.5.26, build May  5 2021 04:58:45, using SystemV for LINUX (32 bits)

Enduro/X Middleware Platform for Distributed Transaction Processing

Copyright (C) 2009-2016 ATR Baltic Ltd.

Copyright (C) 2017-2021 Mavimax Ltd. All Rights Reserved.

This software is released under one of the following licenses:

AGPLv3 (with Java and Go exceptions) or Mavimax license for commercial use.

 

$ xadmin

Enduro/X 7.5.26, build May  5 2021 04:58:45, using SystemV for LINUX (32 bits)

Enduro/X Middleware Platform for Distributed Transaction Processing

Copyright (C) 2009-2016 ATR Baltic Ltd.

Copyright (C) 2017-2021 Mavimax Ltd. All Rights Reserved.

This software is released under one of the following licenses:

AGPLv3 (with Java and Go exceptions) or Mavimax license for commercial use.
NDRX 1>

NDRX 1>

NDRX 1> pmode

/*--------------------------------------------------------------------------

 * This file is autogenerated from ndrx_config.h.in

 * during the cmake configuration of your project. If you need to make changes

 * edit the original file NOT THIS FILE.

 * --------------------------------------------------------------------------*/

#ifndef _NDRX_CONFIG_H_

#define _NDRX_CONFIG_H_

/* Define to 1 if you have the <stdint.h> header file.

 * NOTE: the cmake variable name must match the define !!!

 */

#define HAVE_STDINT_H 1

#define HAVE_GETOPT_H 1

#define HAVE_PROGNAME 1

#define HAVE_EXPECT 1

#define HAVE_STRNLEN 1

#define HAVE_SYNC 1

#define HAVE_GETLINE 1

/* #undef HAVE_STRLCPY */

#define EX_HAVE_STDATOMIC 1

#define EX_HAVE_SYNCFETCHADD 1

#define EX_ALIGNMENT_BYTES 4

/* #undef EX_ALIGNMENT_FORCE */

#define EX_HAVE_ASPRINTF 1

/* #undef EX_HAVE_STRCAT_S */

/* #undef EX_USE_EPOLL */

/* #undef EX_USE_SVAPOLL */

/* #undef EX_USE_POLL */

/* #undef EX_USE_FDPOLL */

/* #undef EX_USE_KQUEUE */

#define EX_OS_LINUX 1

/* #undef EX_OS_AIX */

/* #undef EX_OS_HPUX */

/* #undef EX_OS_SUNOS */

/* #undef EX_OS_FREEBSD */

/* #undef EX_OS_CYGWIN */

/* #undef EX_OS_DARWIN */

#define EX_LSB_RELEASE_VER 10
#define EX_LSB_RELEASE_VER_MAJOR 10

/* #undef EX_LSB_RELEASE_VER_MINOR */

/* Use emulated message queue: */

/* #undef EX_USE_EMQ */

/* Use System V message queue */

#define EX_USE_SYSVQ 1

/* Do not use threading model in client proces monitor

 * for example on AIX 7.2 it causes core dumps...

 */

/* #undef EX_CPM_NO_THREADS */

/* Defined if pscript is off */

/* #undef NDRX_DISABLEPSCRIPT */

/* Defined test048 on */

/* #undef NDRX_ENABLE_TEST47 */

/* Is address sanitizer enabled */

/* #undef NDRX_SANITIZE */

/* Is mutex debug enabled */

#define NDRX_MUTEX_DEBUG 1

/** Build for postgresql */

#define NDRX_USE_POSTGRES 1

/* Enduro/X memory debugging */

/* #undef NDRX_MEMORY_DEBUG */

/* Object API debug - tracking */

/* #undef NDRX_OAPI_DEBUG */

/* Semaphore API debug - tracking */

/* #undef NDRX_SEM_DEBUG */

/* Add build env: */

#define NDRX_BLD_PRODUCT "endurox"

#define NDRX_BLD_SYSTEM "raspbian10_arv7l"

#define NDRX_BLD_CONFIG "ex75"

#define NDRX_BLD_VERSION "7.5.26"

#define NDRX_BLD_RELEASE "1"

#define NDRX_BLD_TAG "-"

#define NDRX_BLD_BRANCH "master"

#define NDRX_BLD_FLAGS ",pg,"

#define NDRX_BLD_COMMIT "-"

#define NDRX_BLD_HASH "0dfb4340fa360ac5a11a1c7a9c2d9b3af0b5174a"

#define NDRX_VERSION_NUM 70526

#define NDRX_VERSION_MAJOR "7"

#define NDRX_VERSION_MINOR "5"

#define NDRX_VERSION_PATCH "26"

/* Use FS based registry for mq */

/* #undef USE_FS_REGISTRY */

/* The size of `int', as computed by sizeof. */

#define EX_SIZEOF_INT 4

/* The size of `long', as computed by sizeof. */

#define EX_SIZEOF_LONG 4

#define NDRX_VERSION   "Enduro/X 7.5.26"
#define NDRX_BUILD_OS_NAME "LINUX"

#define EX_POLLER_STR "SystemV"

#define NDRX_COMPILER  "GNU"

#define NDRX_CPUARCH  "armv7l"

#define NDRX_LD_LIBRARY_PATH "LD_LIBRARY_PATH"

/** Runtime libraries required for given platform (used for build) */

#define NDRX_RT_LIB    "rt;dl"

/* PThread mode for Solaris */

#ifndef _POSIX_PTHREAD_SEMANTICS

#define _POSIX_PTHREAD_SEMANTICS

#endif

#if defined(_WIN32) || defined(__WIN32__) || defined(__CYGWIN__)

#if defined(atmi_EXPORTS) || defined(atmiclt_EXPORTS) || defined(atmisrv_EXPORTS) \

    || defined(atmisrvinteg_EXPORTS) || defined(atmisrvnomain_EXPORTS) || \

    defined(exnet_EXPORTS) || defined(ndrxxaorad_EXPORTS) || \

    defined(ndrxxaoras_EXPORTS) || defined(ndrxxaqdisk_EXPORTS) || \

    defined(ndrxxaqdiskd_EXPORTS) || defined(ndrxxaqdisks_EXPORTS) || \

    defined(netproto_EXPORTS) || defined(nstd_EXPORTS) || defined(ubf_EXPORTS) || \

    defined(atmicltbld_EXPORTS) || defined(ndrxxanulls_EXPORTS) || defined(ndrxxatmsx_EXPORTS)

        /* We are building this library */

#      define NDRX_API __declspec(dllexport)

#else

        /* We are using this library */

#       define NDRX_API __declspec(dllimport)

#endif

#else

#       define NDRX_API

#endif

#endif

History

#1 - 03/23/2022 06:29 PM - Madars

- Status changed from New to Rejected

Problem not seen for almost for a year.
